GET /food/ingredients/search

spoonacular.com

Summary: Ingredient Search
Operation ID: ingredientSearch
Auth: unknown
Description

Search for simple whole foods (e.g. fruits, vegetables, nuts, grains, meat, fish, dairy etc.).

Parameters (15)

addChildren (boolean, query, optional)

Whether to add children of found foods.

intolerances (string, query, optional)

A comma-separated list of intolerances. All recipes returned must not contain ingredients that are not suitable for people with the intolerances entered. See a full list of supported intolerances.

language (string, query, optional)

The language of the input. Either 'en' or 'de'.

Constraints: {'enum': ['en', 'de']}

maxCarbsPercent (number, query, optional)

The maximum percentage of carbs the food can have (between 0 and 100).

maxFatPercent (number, query, optional)

The maximum percentage of fat the food can have (between 0 and 100).

maxProteinPercent (number, query, optional)

The maximum percentage of protein the food can have (between 0 and 100).

metaInformation (boolean, query, optional)

Whether to return more meta information about the ingredients.

minCarbsPercent (number, query, optional)

The minimum percentage of carbs the food must have (between 0 and 100).

minFatPercent (number, query, optional)

The minimum percentage of fat the food must have (between 0 and 100).

minProteinPercent (number, query, optional)

The minimum percentage of protein the food must have (between 0 and 100).

number (integer, query, optional, default: 10)

The maximum number of items to return (between 1 and 100). Defaults to 10.

Constraints: {'minimum': 1, 'maximum': 100}

offset (integer, query, optional)

The number of results to skip (between 0 and 900).

Constraints: {'minimum': 0, 'maximum': 900}

query (string, query, optional)

The (natural language) search query.

sort (string, query, optional)

The strategy to sort recipes by. See a full list of supported sorting options.

sortDirection (string, query, optional)

The direction in which to sort. Must be either 'asc' (ascending) or 'desc' (descending).

No probe data for this endpoint yet.